package com.huimv.authority.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.authority.entity.Group;
import com.huimv.authority.service.IGroupService;
import com.huimv.authority.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


@CrossOrigin
@RestController
@RequestMapping("/group")
public class SysGroupController {

    @Autowired
    private IGroupService groupService;

    @RequestMapping("/add")
    public Result addGroup (@RequestParam(name = "groupName") String groupName,
                            @RequestParam(name = "remark") String remark){
        return groupService.addGroup(groupName,remark);
    }


    @RequestMapping("/edit")
    public Result updateGroup( @RequestParam(name = "groupId",required = false) Integer groupId,
                             @RequestParam(name = "groupName") String groupName,
                             @RequestParam(name = "remark") String remark ){
        return groupService.updateGroup(groupId,groupName,remark);
    }

    @RequestMapping("/remove")
    public Result removeGroup( @RequestParam("groupId") Integer groupId) {
        return groupService.removeGroup(groupId);
    }

    @RequestMapping("/list")
    public IPage<Group> listGroup(@RequestParam(name = "pageNum") int pageNum,
                                  @RequestParam(name = "pageSize") int pageSize,
                                  @RequestParam(name = "searchStr", required = false) String searchStr) {
        return groupService.listGroup(pageNum,pageSize,searchStr);
    }
}
