package com.huimv.authority.controller;


import com.alibaba.fastjson.JSONObject;
import com.huimv.authority.entity.User;
import com.huimv.authority.entity.dto.UserAndAccountGroup;
import com.huimv.authority.service.IUserService;
import com.huimv.authority.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@CrossOrigin
@RestController
@RequestMapping("/user")
public class SysUserController {
    @Autowired
    private IUserService iUserService;

    @RequestMapping("/add")
    public Result addUser(User user){
        return  iUserService.addUser(user);
    }

    @RequestMapping("/edit")
    public Result updateUser(User user){
        return iUserService.updateUser(user);
    }

    @RequestMapping("/remove")
    public Result removeUser( @RequestParam("userIds") List<Integer> userIds) {

        return iUserService.removeUser(userIds);
    }



    @RequestMapping("/list")
    public JSONObject listUser(@RequestParam(name = "pageNum") int pageNum,
                               @RequestParam(name = "pageSize") int pageSize,
                               @RequestParam(name = "searchStr", required = false) String searchStr) {

        return iUserService.findUserAccount(searchStr,pageNum,pageSize);
    }

}
