package com.huimv.authority.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.authority.entity.User;
import com.huimv.authority.mapper.AccountMapper;
import com.huimv.authority.entity.Account;
import com.huimv.authority.mapper.UserMapper;
import com.huimv.authority.service.ILoginService;
import com.huimv.authority.utils.Result;
import com.huimv.authority.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LoginServiceImpl implements ILoginService {

    @Autowired
    private AccountMapper accountMapper;

    @Autowired
    private UserMapper userMapper;

    @Override
    public Result login(String accountName, String password) {
        //Step1:判断账户状态
        //Step2:读取菜单组
        QueryWrapper<Account> accountQueryWrapper = new QueryWrapper<>();
        accountQueryWrapper.eq("account_name",accountName).or().eq("mobile",accountName);
        accountQueryWrapper.eq("password",password);
        Account accountEntity = accountMapper.selectOne(accountQueryWrapper);
        if (accountEntity == null) {
//            throw new PlatformException("The account or password is wrong.", "该账号不存在或密码错误.");
            return new Result(10002, "账号不存在或密码错误.", false);
        }
        int status = accountEntity.getAccountStatus();
        if (status == 0) {
            return new Result(10003, "该账号未启用.", false);
//            throw new PlatformException("10003", "该账号未启用.");
        }
        if (status == -1) {
            return new Result(10004, "该账号已暂停使用.", false);
//            throw new PlatformException("10004", "该账号已暂停使用.");
        }
        int accountId = accountEntity.getId();
        System.out.println("accountId>>"+accountId);
//        List<SysMenuEntity> menuEntityList = sysMenuEntityRepo.findByAccountId(accountId);
//        return new Result(ResultCode.SUCCESS, menuEntityList);
        return new Result(ResultCode.SUCCESS,accountEntity);
    }

    @Override
    public Result logout() {
        return null;
    }
}
